Bug 224340 - [NEW PORT] editors/dte: Small and easy to use console text editor
Summary: [NEW PORT] editors/dte: Small and easy to use console text editor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://craigbarnes.gitlab.io/dte/
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-14 14:29 UTC by Dmitri Goutnik
Modified: 2017-12-18 22:53 UTC (History)
1 user (show)

See Also:


Attachments
patch file (3.71 KB, patch)
2017-12-14 14:29 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (3.70 KB, patch)
2017-12-14 18:14 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2017-12-14 14:29:23 UTC
Created attachment 188826 [details]
patch file

A small and easy to use console text editor, featuring

  - Multiple buffers/tabs
  - Unlimited undo/redo
  - Search and replace
  - Syntax highlighting
  - Customizable color schemes
  - Customizable key bindings
  - Command language with auto-completion
  - Jump to definition (using ctags)
  - Jump to compiler error

WWW: https://craigbarnes.gitlab.io/dte/

QA:
  portlint -ACN: OK
  poudriere testport: OK (11a, 10i)
  make test: passes

NOTE: we already had editors/dte (https://www.freshports.org/editors/dte) which has expired on 2007-01-04. This port has the same name but no relation to the expired one (different software, different authors).
Comment 1 Dmitri Goutnik 2017-12-14 18:14:15 UTC
Created attachment 188837 [details]
patch file

Change TEST_TARGET to "check"
Comment 2 Chris Hutchinson 2017-12-14 21:35:42 UTC
Is this any relation to the editors/dte that was previously
in the ports tree?
eg;
dte A text editor which uses many of the shortcuts used in MSDOS EDIT

DTE is a simple text editor written by Doug Thompson from
Monash university in Victoria, Australia.

DTE supports many of the key shortcuts used in MSDOS EDIT.

DTE also makes a nice composer for email messages, as an alternative
to vi or pico.

WWW: http://personal.gscit.monash.edu.au/~dougt/dte.html

Even if it's not. This may pose a problem.
Policy has generally been that in such cases, a name
alteration of the new port is required.

But I'll let a commiter weigh in on that tho. :-)

--Chris
Comment 3 Dmitri Goutnik 2017-12-14 21:43:14 UTC
There's no relation to the editors/dte (as already mentioned in the Description above :)
Comment 4 Chris Hutchinson 2017-12-14 22:41:09 UTC
(In reply to Dmitri Goutnik from comment #3)
> There's no relation to the editors/dte (as already mentioned in the
> Description above :)

D'OH!
Sorry. :-P

--Chris
Comment 5 Yuri Victorovich freebsd_committer 2017-12-18 22:52:24 UTC
Committed, thanks for your submission!
Comment 6 commit-hook freebsd_committer 2017-12-18 22:53:19 UTC
A commit references this bug:

Author: yuri
Date: Mon Dec 18 22:52:22 UTC 2017
New revision: 456692
URL: https://svnweb.freebsd.org/changeset/ports/456692

Log:
  New port: editors/dte: Small and easy to use console text editor

  PR:		224340
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13498

Changes:
  head/editors/Makefile
  head/editors/dte/
  head/editors/dte/Makefile
  head/editors/dte/distinfo
  head/editors/dte/files/
  head/editors/dte/files/patch-config_binding_default
  head/editors/dte/pkg-descr